<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:01 CET 2018 -->
<title>ElasticClient</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ElasticClient";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../elasticclient/ClientRequest.html" title="class in elasticclient"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../elasticclient/ElasticClientException.html" title="class in elasticclient"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?elasticclient/ElasticClient.html" target="_top">Frames</a></li>
<li><a href="ElasticClient.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">elasticclient</div>
<h2 title="Class ElasticClient" class="title">Class ElasticClient</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>elasticclient.ElasticClient</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ElasticClient</span>
extends java.lang.Object</pre>
<div class="block">Represents a basic client for ES. It provides methods to communicate with the ES server and to retrieve the
 ES query expressed in queryDSL.
 <br>
 Given the RestHighLevelClient and the file path of the request, it can communicate with the ES server and retrieve
 the response.
 <br>
 It relies on <code>Gson</code> to parse the request file and create the Java objects to query the ES server.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../elasticclient/ElasticClient.html#ElasticClient-org.elasticsearch.client.RestHighLevelClient-java.lang.String-">ElasticClient</a></span>(org.elasticsearch.client.RestHighLevelClient&nbsp;client,
             java.lang.String&nbsp;request_file)</code>
<div class="block">ElasticClient constructor</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../elasticclient/ElasticClient.html#ElasticClient-java.lang.String-">ElasticClient</a></span>(java.lang.String&nbsp;request_file)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../elasticclient/ElasticClient.html#addAggregation-java.lang.String-java.lang.reflect.Type-java.util.List-">addAggregation</a></span>(java.lang.String&nbsp;name,
              java.lang.reflect.Type&nbsp;type,
              java.util.List&lt;java.lang.String&gt;&nbsp;keys)</code>
<div class="block">Adds a new valid aggregation name, it can now be used in the aggs part of the request file</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../elasticclient/ElasticClient.html#addQuery-java.lang.String-java.lang.reflect.Type-java.util.List-">addQuery</a></span>(java.lang.String&nbsp;name,
        java.lang.reflect.Type&nbsp;type,
        java.util.List&lt;java.lang.String&gt;&nbsp;keys)</code>
<div class="block">Adds a new valid query name, it can now be used in the query part of the request file</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../elasticclient/ElasticClient.html#addTemplate-java.lang.String-java.lang.reflect.Type-java.util.List-">addTemplate</a></span>(java.lang.String&nbsp;name,
           java.lang.reflect.Type&nbsp;type,
           java.util.List&lt;java.lang.String&gt;&nbsp;keys)</code>
<div class="block">Adds a new valid template name, it can now be used in the template part of the request file.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../elasticclient/ElasticClientResponse.html" title="class in elasticclient">ElasticClientResponse</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../elasticclient/ElasticClient.html#executeRequest--">executeRequest</a></span>()</code>
<div class="block">Executes the request and print the ES server response.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../elasticclient/ElasticClient.html#getElasticsearchQuery--">getElasticsearchQuery</a></span>()</code>
<div class="block">Returns a string representing the ES query associated to search field in the last request file set via this.setRequestFile</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../elasticclient/ElasticClient.html#setRequestFile-java.lang.String-">setRequestFile</a></span>(java.lang.String&nbsp;request_file)</code>
<div class="block">Sets the path of the file containing the request</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ElasticClient-org.elasticsearch.client.RestHighLevelClient-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ElasticClient</h4>
<pre>public&nbsp;ElasticClient(org.elasticsearch.client.RestHighLevelClient&nbsp;client,
                     java.lang.String&nbsp;request_file)</pre>
<div class="block">ElasticClient constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>client</code> - the entry point to communicate with ES server</dd>
<dd><code>request_file</code> - the file path where the request is stored</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if client or request_file are null.</dd>
</dl>
</li>
</ul>
<a name="ElasticClient-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ElasticClient</h4>
<pre>public&nbsp;ElasticClient(java.lang.String&nbsp;request_file)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="executeRequest--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executeRequest</h4>
<pre>public&nbsp;<a href="../elasticclient/ElasticClientResponse.html" title="class in elasticclient">ElasticClientResponse</a>&nbsp;executeRequest()
                                     throws <a href="../elasticclient/ElasticClientException.html" title="class in elasticclient">ElasticClientException</a></pre>
<div class="block">Executes the request and print the ES server response.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an object representing the ES server response</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../elasticclient/ElasticClientException.html" title="class in elasticclient">ElasticClientException</a></code> - if there are communication problems with ES server.</dd>
</dl>
</li>
</ul>
<a name="setRequestFile-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRequestFile</h4>
<pre>public&nbsp;void&nbsp;setRequestFile(java.lang.String&nbsp;request_file)</pre>
<div class="block">Sets the path of the file containing the request</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>request_file</code> - the request file path.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if request_file is null.</dd>
</dl>
</li>
</ul>
<a name="getElasticsearchQuery--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getElasticsearchQuery</h4>
<pre>public&nbsp;java.lang.String&nbsp;getElasticsearchQuery()
                                       throws <a href="../elasticclient/ElasticClientException.html" title="class in elasticclient">ElasticClientException</a></pre>
<div class="block">Returns a string representing the ES query associated to search field in the last request file set via this.setRequestFile</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a string representing the ES query</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../elasticclient/ElasticClientException.html" title="class in elasticclient">ElasticClientException</a></code> - if no search field is specified in the request file.</dd>
</dl>
</li>
</ul>
<a name="addTemplate-java.lang.String-java.lang.reflect.Type-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addTemplate</h4>
<pre>public&nbsp;void&nbsp;addTemplate(java.lang.String&nbsp;name,
                        java.lang.reflect.Type&nbsp;type,
                        java.util.List&lt;java.lang.String&gt;&nbsp;keys)</pre>
<div class="block">Adds a new valid template name, it can now be used in the template part of the request file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the template name</dd>
<dd><code>keys</code> - list of allowed keys for the new template</dd>
<dd><code>type</code> - the template type</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if params are null</dd>
</dl>
</li>
</ul>
<a name="addAggregation-java.lang.String-java.lang.reflect.Type-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addAggregation</h4>
<pre>public&nbsp;void&nbsp;addAggregation(java.lang.String&nbsp;name,
                           java.lang.reflect.Type&nbsp;type,
                           java.util.List&lt;java.lang.String&gt;&nbsp;keys)</pre>
<div class="block">Adds a new valid aggregation name, it can now be used in the aggs part of the request file</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the aggregation name</dd>
<dd><code>type</code> - the aggregation type</dd>
<dd><code>keys</code> - list of allowed keys for the new aggregation</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if params are null</dd>
</dl>
</li>
</ul>
<a name="addQuery-java.lang.String-java.lang.reflect.Type-java.util.List-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addQuery</h4>
<pre>public&nbsp;void&nbsp;addQuery(java.lang.String&nbsp;name,
                     java.lang.reflect.Type&nbsp;type,
                     java.util.List&lt;java.lang.String&gt;&nbsp;keys)</pre>
<div class="block">Adds a new valid query name, it can now be used in the query part of the request file</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the query name</dd>
<dd><code>type</code> - the query type</dd>
<dd><code>keys</code> - list of allowed keys for the new query</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if params are null</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../elasticclient/ClientRequest.html" title="class in elasticclient"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../elasticclient/ElasticClientException.html" title="class in elasticclient"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?elasticclient/ElasticClient.html" target="_top">Frames</a></li>
<li><a href="ElasticClient.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
